SbVec4ub(3)

NAME
SbVec4ub

SYNOPSIS

#include <Inventor/SbVec4ub.h>

  Public Member Functions
SbVec4ub (const uint8_t v[4])
SbVec4ub (uint8_t x, uint8_t y, uint8_t z, uint8_t w)
SbVec4ub (const SbVec4b &v)
SbVec4ub (const SbVec4us &v)
SbVec4ub (const SbVec4ui32 &v)
SbVec4ub & setValue (const uint8_t v[4])
SbVec4ub & setValue (uint8_t x, uint8_t y, uint8_t z, uint8_t w)
SbVec4ub & setValue (const SbVec4b &v)
SbVec4ub & setValue (const SbVec4us &v)
SbVec4ub & setValue (const SbVec4ui32 &v)
const uint8_t * getValue (void) const
void getValue (uint8_t &x, uint8_t &y, uint8_t &z, uint8_t &w) const
uint8_t & operator[] (int i)
const uint8_t & operator[] (int i) const
int32_t dot (const SbVec4ub &v) const
void negate (void)
SbVec4ub & operator*= (int d)
SbVec4ub & operator*= (double d)
SbVec4ub & operator/= (int d)
SbVec4ub & operator/= (double d)
SbVec4ub & operator+= (const SbVec4ub &v)
SbVec4ub & operator-= (const SbVec4ub &v)
SbVec4ub operator- (void) const

  Protected Attributes
uint8_t vec [4]

Detailed Description

Since
    Coin 2.5

Author

Generated automatically by Doxygen for Coin from the source code.